cURL
curl --request POST \
--url https://api.hyra.io/staff/logbook/{workspaceId}/{staffId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"expiry": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hyra.io/staff/logbook/{workspaceId}/{staffId}"
payload = {
"message": "<string>",
"expiry": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', expiry: '2023-11-07T05:31:56Z'})
};
fetch('https://api.hyra.io/staff/logbook/{workspaceId}/{staffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"author": "<string>",
"workspace": "<string>",
"staff_id": "<string>",
"type": "<string>",
"message": "<string>",
"files": [
"<string>"
],
"videos": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expired": true,
"expiration": "<string>"
}Staff
Post Staff Logbook
POST
/
staff
/
logbook
/
{workspaceId}
/
{staffId}
cURL
There is a more advanced version of this endpoint that allows for uploading
files and videos.However, this API uses multipart encoding instead of JSON,
so it has been omitted from this documentation and the Swagger reference.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Default Response
⌘I